%define pkg_name        MasonX-Request-WithApacheSession
%define pkg_version     0.30
%define rpm_pkg_version 0.30
%define rpm_pkg_release 7.n0i.10

Summary:       Add a session to the Mason Request object
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
Requires:      perl(Apache::Session::Wrapper) >= 0.13
Requires:      perl(HTML::Mason) >= 1.16
%{!?_without_test:BuildRequires: perl(Apache::Session::Wrapper) >= 0.13}
%{!?_without_test:BuildRequires: perl(HTML::Mason) >= 1.16}


%description
This module integrates "Apache::Session" into Mason by adding methods to the
Mason Request object available in all Mason components.
Any subrequests created by a request share the same session.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.30-7.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Jul 27 2005 Marius Feraru <altblue@n0i.net> 0.30-6.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.30-5.n0i.8
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.30-4.n0i.7
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.30-3.n0i.6
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.30-2.n0i.5
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.30-1.n0i.4
- version 0.30
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:0.25-1.n0i.3
- version 0.25

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.24-0.n0i.2
- version 0.24
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.23-0.n0i.1
- version 0.23
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
